MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023682Open CASCADE[OCCT] OCCT:DRAWpublic2012-12-29 16:292013-04-29 15:22
Reporterdbv 
Assigned Todbv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformMacOSOSOS VersionX
Product Version 
Target Version[OCCT] 6.6.0Fixed in Version[OCCT] 6.6.0 
Summary0023682: Implement Draw_Window with Cocoa framework
DescriptionWindows drawing and events handling in Draw_Window should be implemented with native Cocoa framework.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0023243closedbugmaster Adapt OpenGL viewer for using in Cocoa applications on Mac OS X 

-  Notes
(0022940)
dbv (developer)
2013-01-11 11:28
edited on: 2013-01-11 11:28

Implemented Draw_Window with Cocoa framework.

Patch has been pushed to the git branch CR23682

Please review.

(0022954)
kgv (developer)
2013-01-14 13:03

Patch reviewed without remarks.
Please test it.
(0022994)
mkv (tester)
2013-01-17 11:28

Dear BugMaster,

Branch CR23682 (and products from GIT master) was compiled on Linux and
Windows platforms and tested.

Regressions:
Not detected

Improvements:
Not detected

Testing cases:
Not needed

Dear dbv,
There are 54 compilation warnings on windows platform in CR23682-master-products.
Could you please check its.
http://jenkins-test-01.nnov.opencascade.com/user/mnt/my-views/view/CR23682/job/mnt-CR23682-master_build_occt_products_windows/1/warnings23Result/? [^]
(0022995)
dbv (developer)
2013-01-17 11:48

Dear mkv,
These warnings are not related to the patch.

Dear bugmaster,
Please test Draw_Window functionality on Mac OS X platform
(0023025)
bugmaster (administrator)
2013-01-18 10:59

There is no difference between testing results from IR-2012-12-21 and CR23682 on MacOS platform.

http://occt-tests/CR23682-master-occt/MacOS/summary.html [^]

- Related Changesets
occt: master 67d97f0e
Timestamp: 2013-01-18 11:04:50
Author: dbv
Details ] Diff ]
0023682: Implement Draw_Window with Cocoa framework

Implemented most Draw_Window functions with Cocoa. Still should be implemented: drawing rectangle when zooming, window screenshot function in QAxwd
Added workaround for drawing rectangle when zooming
Added small fixes
mod - src/Draw/Draw_Viewer.cxx Diff ] File ]
mod - src/Draw/Draw_Window.cxx Diff ] File ]
mod - src/Draw/Draw_Window.hxx Diff ] File ]
add - src/Draw/Draw_Window_1.mm Diff ] File ]
mod - src/Draw/EXTERNLIB Diff ] File ]
mod - src/Draw/FILES Diff ] File ]
mod - src/TKDraw/EXTERNLIB Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-12-29 16:29 dbv New Issue
2012-12-29 16:29 dbv Assigned To => mkv
2012-12-29 16:29 dbv Assigned To mkv => dbv
2012-12-29 16:29 dbv Status new => assigned
2012-12-29 16:30 dbv OS => OS
2012-12-29 16:30 dbv OS Version => X
2012-12-29 16:30 dbv Platform => Mac
2013-01-11 11:28 dbv Note Added: 0022940
2013-01-11 11:28 dbv Assigned To dbv => kgv
2013-01-11 11:28 dbv Status assigned => resolved
2013-01-11 11:28 dbv Note Edited: 0022940 View Revisions
2013-01-14 13:03 kgv Note Added: 0022954
2013-01-14 13:03 kgv Assigned To kgv => bugmaster
2013-01-14 13:03 kgv Status resolved => reviewed
2013-01-14 14:00 kgv Relationship added related to 0023243
2013-01-17 11:28 mkv Note Added: 0022994
2013-01-17 11:29 mkv Test case number => Not needed
2013-01-17 11:29 mkv Assigned To bugmaster => dbv
2013-01-17 11:29 mkv Status reviewed => assigned
2013-01-17 11:46 dbv Status assigned => resolved
2013-01-17 11:48 dbv Note Added: 0022995
2013-01-17 11:48 dbv Assigned To dbv => bugmaster
2013-01-17 11:48 dbv Status resolved => reviewed
2013-01-18 10:59 bugmaster Note Added: 0023025
2013-01-18 10:59 bugmaster Status reviewed => tested
2013-01-21 18:29 dbv Changeset attached => occt master 67d97f0e
2013-01-21 18:29 dbv Assigned To bugmaster => dbv
2013-01-21 18:29 dbv Status tested => verified
2013-01-21 18:29 dbv Resolution open => fixed
2013-02-20 10:19 bugmaster Target Version => 6.6.0
2013-04-23 13:35 aiv Status verified => closed
2013-04-29 15:22 aiv Fixed in Version => 6.6.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker